import java.util.ArrayList;
import java.util.Random;

public class CardList {
    private ArrayList <Card> cards = new ArrayList<>();

    /**
     * constructor
     * adding all cards to the list
     */
    public CardList(){
        for (int j=0; j<4; j++){
            cards.add(new Card(CardType.WILD_DRAW4));
        }

        for (int i=0; i<4; i++){
            cards.add(new Card(CardType.WILD));
        }

        for(int k=0; k<2; k++){
            cards.add(new Card(CardType.RED_REVERSE));
            cards.add(new Card(CardType.BLUE_REVERSE));
            cards.add(new Card(CardType.GREEN_REVERSE));
            cards.add(new Card(CardType.YELLOW_REVERSE));
        }

        for(int k=0; k<2; k++){
            cards.add(new Card(CardType.BLUE_SKIP));
            cards.add(new Card(CardType.GREEN_SKIP));
            cards.add(new Card(CardType.RED_SKIP));
            cards.add(new Card(CardType.YELLOW_SKIP));
        }

        for(int k=0; k<2; k++){
            cards.add(new Card(CardType.RED_DRAW2));
            cards.add(new Card(CardType.BLUE_DRAW2));
            cards.add(new Card(CardType.GREEN_DRAW2));
            cards.add(new Card(CardType.YELLOW_DRAW2));
        }

        for (int z=0; z<2; z++){
            cards.add(new Card(CardType.BLUE_1));
            cards.add(new Card(CardType.BLUE_2));
            cards.add(new Card(CardType.BLUE_3));
            cards.add(new Card(CardType.BLUE_4));
            cards.add(new Card(CardType.BLUE_5));
            cards.add(new Card(CardType.BLUE_6));
            cards.add(new Card(CardType.BLUE_7));
            cards.add(new Card(CardType.BLUE_8));
            cards.add(new Card(CardType.BLUE_9));
            cards.add(new Card(CardType.GREEN_1));
            cards.add(new Card(CardType.GREEN_2));
            cards.add(new Card(CardType.GREEN_3));
            cards.add(new Card(CardType.GREEN_4));
            cards.add(new Card(CardType.GREEN_5));
            cards.add(new Card(CardType.GREEN_6));
            cards.add(new Card(CardType.GREEN_7));
            cards.add(new Card(CardType.GREEN_8));
            cards.add(new Card(CardType.GREEN_9));
            cards.add(new Card(CardType.YELLOW_1));
            cards.add(new Card(CardType.YELLOW_2));
            cards.add(new Card(CardType.YELLOW_3));
            cards.add(new Card(CardType.YELLOW_4));
            cards.add(new Card(CardType.YELLOW_5));
            cards.add(new Card(CardType.YELLOW_6));
            cards.add(new Card(CardType.YELLOW_7));
            cards.add(new Card(CardType.YELLOW_8));
            cards.add(new Card(CardType.YELLOW_9));
            cards.add(new Card(CardType.RED_1));
            cards.add(new Card(CardType.RED_2));
            cards.add(new Card(CardType.RED_3));
            cards.add(new Card(CardType.RED_4));
            cards.add(new Card(CardType.RED_5));
            cards.add(new Card(CardType.RED_6));
            cards.add(new Card(CardType.RED_7));
            cards.add(new Card(CardType.RED_8));
            cards.add(new Card(CardType.RED_9));
        }
        cards.add(new Card(CardType.GREEN_0));
        cards.add(new Card(CardType.BLUE_0));
        cards.add(new Card(CardType.RED_0));
        cards.add(new Card(CardType.YELLOW_0));
    }

    /**
     * sets the cards
     * @param cards
     */
    public void setCards(ArrayList<Card> cards) {
        this.cards = cards;
    }

    /**
     * gets the cards
     * @return
     */
    public ArrayList<Card> getCards() {
        return cards;
    }

    /**
     * adds card to the list
     * @param card
     */
    public void addCard(Card card){
        cards.add(card);
    }

    /**
     * gets a card from list
     * remove the card that has been drawn
     * @return
     */
    public Card drawCard(){
        int color = new Random().nextInt(cards.size());
        Card card = cards.get(color);
        cards.remove(card);
        return card;
    }


}
