import java.util.ArrayList;
import java.util.Random;

public class Main {

    public static void main(String[] args) throws InterruptedException {
        System.out.println("for human players please enter like cardType");
        Game uno = new Game();
        Show show = new Show();
        //first card
        Card table = null;
        do {
            int color = new Random().nextInt(uno.cardList.getCards().size());
            table = uno.cardList.getCards().get(color);
        } while (table.getCardType().name().contains("SKIP") || table.getCardType().name().contains("REVERSE") || table.getCardType().name().contains("WILD") || table.getCardType().name().contains("WILD_DRAW") || table.getCardType().name().contains("DRAW2"));

        uno.play(table);
    }

    /**
     * checking if the game is over
     * if someone finishes his/her cards the game is over
     * @param players
     * @return true or false
     */
    public static boolean isGameOver(ArrayList<Player> players) {
        for (Player player : players)
            if (player.getCards().size() == 0)
                return true;
        return false;
    }
}
