import java.util.ArrayList;

public class Show {

    public void cardsType(Card card){
        switch (card.getCardColor()) {
            case ConsoleColors.BLUE_BACKGROUND_BRIGHT:
                System.out.print(ConsoleColors.BLUE_BACKGROUND_BRIGHT + " " + ConsoleColors.WHITE_BOLD_BRIGHT + card.getCardValue() + " " + ConsoleColors.RESET + " ");
                break;
            case ConsoleColors.RED_BACKGROUND_BRIGHT:
                System.out.print(ConsoleColors.RED_BACKGROUND_BRIGHT + " " + ConsoleColors.WHITE_BOLD_BRIGHT + " " + card.getCardValue() + " " + ConsoleColors.RESET + " ");
                break;
            case ConsoleColors.YELLOW_BACKGROUND_BRIGHT:
                System.out.print(ConsoleColors.YELLOW_BACKGROUND_BRIGHT + " " + ConsoleColors.WHITE_BOLD_BRIGHT + " " + card.getCardValue() + " " + ConsoleColors.RESET + " ");
                break;
            case ConsoleColors.GREEN_BACKGROUND_BRIGHT:
                System.out.print(ConsoleColors.GREEN_BACKGROUND_BRIGHT + " " + ConsoleColors.WHITE_BOLD_BRIGHT + " " + card.getCardValue() + " " + ConsoleColors.RESET + " ");
                break;
            default:
                System.out.print(" " + card.getCardValue() + "  ");
                break;
        }
    }

    public void show(ArrayList<Player> players, Card table, int turn, int rotation){
        if(rotation == +1)
            System.out.println("rotation: right");
        else if(rotation == -1)
            System.out.println("rotation: left");
        System.out.println("It is " + players.get(turn).getName() + "'s turn");

        System.out.print("THE CARD ON THE TABLE: ");
        cardsType(table);
        System.out.println();

        for (Player player: players){
            System.out.println(player.getName() + "'s score: " + player.getScore());
            System.out.print(player.getName() + "'s cards: ");
            for (Card card: player.getCards()){
                cardsType(card);
            }
            System.out.println();
        }
        System.out.println("\n");
    }
}
